Bug 114918 - 64Bit Mozilla installs over 32 bit binary on upgrade.
64Bit Mozilla installs over 32 bit binary on upgrade.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 10:16 EST by Mark Lane
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 10:30:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Lane 2004-02-04 10:16:35 EST
Description of problem:
When upgrading with yum both 32 Bit and 64 Bit Mozilla from 1.5 to
1.6, the 64 Bit version installs last and clobbers the 32bit
/usr/bin/mozilla binary. 

Version-Release number of selected component (if applicable):
mozilla-1.6-0.x86_64, mozilla-1.6-0.i386

How reproducible:
Should work on any install. You could reproduce it by re-installing
the x86_64 version (if the 32bit version is installed).

Steps to Reproduce:
1. setup yum to download both i386 and x86_64 from Devel. (make sure
exactarch=1). 
2. update mozilla to 1.6. This will update both packages.
3. I am not sure the easiest way to find out that /usr/bin/mozilla is
64Bit. I found it out when I copied my plugins into
/usr/lib/mozilla-1.6/plugins/ and checked the installed plugins.
  
Actual results:
64 Bit version of /usr/bin/mozilla over writes the 32Bit version.

Expected results:
/usr/bin/mozilla remains the 32Bit version.

Additional info:
I am not sure what would be the best way to solve this. Normally
installing the x86_64 package last is desired so yum is doing what it
should be. You could stop the x86_64 version from installing
/usr/bin/mozilla but that would make problems for people not
installing the 32Bit version.

Maybe we need /usr/bin64 as well as /usr/lib64, etc.
Comment 1 Justin M. Forbes 2004-02-04 14:34:17 EST
Well, on the bright side, mozilla is fixed with x86_64 :)
/usr/bin/mozilla is a script, and replace lib64 with lib to change it
to 32bit (I have a patch to the RPM which will put a single
/usr/bin/mozilla there and allow the user to select 64bit, but will
default to 32bit if it exists, and should be safe for all arches. 
/etc/gre.conf is a different issue, and I put off working a fix for
that until 64bit mozilla was working.
Comment 2 Christopher Blizzard 2004-02-12 14:15:43 EST
*cry*
Comment 3 Matěj Cepl 2007-02-09 10:30:22 EST
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.